LOG10(3)

NAME
log10, log10f, log10l - base-10 logarithmic function

SYNOPSIS
#include <math.h>

double log10(double x);
float log10f(float x);
long double log10l(long double x);

Link with -lm.

DESCRIPTION
The log10() function returns the base 10 logarithm of x.

ERRORS
The log10() function can return the following errors:

EDOM
    The argument x is negative.

ERANGE
    The argument x is zero. The log of zero is not defined.

CONFORMING TO
SVr4, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
cbrt(3), clog10(3), sqrt(3)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.